Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.portal.wsrp.core
Class InteractionParams

    java.lang.Object
      org.jboss.portal.wsrp.core.InteractionParams

All Implemented Interfaces:
  java.io.Serializable

    public class InteractionParams

extends java.lang.Object
implements java.io.Serializable

See Also:
  Serialized Form

Field Summary
`protected Extension[]` | `extensions`
`protected NamedString[]` | `formParameters`
`protected java.lang.String` | `interactionState`
`protected StateChange` | `portletStateChange`
`protected UploadContext[]` | `uploadContexts`

Constructor Summary
`InteractionParams()`
`InteractionParams(StateChange portletStateChange, java.lang.String interactionState, NamedString[] formParameters, UploadContext[] uploadContexts, Extension[] extensions)`

Method Summary
`Extension[]` | `getExtensions()`
`NamedString[]` | `getFormParameters()`
`java.lang.String` | `getInteractionState()`
`StateChange` | `getPortletStateChange()`
`UploadContext[]` | `getUploadContexts()`
`void` | `setExtensions(Extension[] extensions)`
`void` | `setFormParameters(NamedString[] formParameters)`
`void` | `setInteractionState(java.lang.String interactionState)`
`void` | `setPortletStateChange(StateChange portletStateChange)`
`void` | `setUploadContexts(UploadContext[] uploadContexts)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### portletStateChange

    protected StateChange portletStateChange

### interactionState

    protected java.lang.String interactionState

### formParameters

    protected NamedString[] formParameters

### uploadContexts

    protected UploadContext[] uploadContexts

### extensions

    protected Extension[] extensions

Constructor Detail

### InteractionParams

    public InteractionParams()

### InteractionParams

    public InteractionParams(StateChange portletStateChange,
                             java.lang.String interactionState,
                             NamedString[] formParameters,
                             UploadContext[] uploadContexts,
                             Extension[] extensions)

Method Detail

### getPortletStateChange

    public StateChange getPortletStateChange()

### setPortletStateChange

    public void setPortletStateChange(StateChange portletStateChange)

### getInteractionState

    public java.lang.String getInteractionState()

### setInteractionState

    public void setInteractionState(java.lang.String interactionState)

### getFormParameters

    public NamedString[] getFormParameters()

### setFormParameters

    public void setFormParameters(NamedString[] formParameters)

### getUploadContexts

    public UploadContext[] getUploadContexts()

### setUploadContexts

    public void setUploadContexts(UploadContext[] uploadContexts)

### getExtensions

    public Extension[] getExtensions()

### setExtensions

    public void setExtensions(Extension[] extensions)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD